# List active and recently completed builds Source: https://docs.orchard.hackclub.com/api/operations/deployments_recent_builds_list/ `GET /apiv1/deployments/recent-builds` Operation ID: `deployments_recent_builds_list` Auth: authenticated (scope: read) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `orgId` | query | No | | ## Responses ### 200: OK ```json { "additionalProperties": {}, "properties": { "active": { "items": { "additionalProperties": {}, "properties": { "buildStatus": { "type": "string" }, "buildStep": { "type": [ "string", "null" ] }, "githubBranch": { "type": [ "string", "null" ] }, "githubRepo": { "type": [ "string", "null" ] }, "id": { "type": "string" }, "image": { "type": [ "string", "null" ] }, "ingresses": { "items": { "additionalProperties": {}, "properties": { "host": { "type": "string" } }, "required": [ "host" ], "type": "object" }, "type": "array" }, "name": { "type": "string" }, "project": { "additionalProperties": {}, "properties": { "name": { "type": "string" } }, "required": [ "name" ], "type": "object" }, "status": { "type": "string" }, "updatedAt": { "type": "string" } }, "required": [ "id", "name", "status", "buildStatus", "updatedAt", "ingresses", "project" ], "type": "object" }, "type": "array" }, "recent": { "items": { "additionalProperties": {}, "properties": { "branch": { "type": [ "string", "null" ] }, "commitSha": { "type": [ "string", "null" ] }, "createdAt": { "type": "string" }, "deployment": { "additionalProperties": {}, "properties": { "buildStatus": { "type": "string" }, "id": { "type": "string" }, "image": { "type": [ "string", "null" ] }, "ingresses": { "items": { "additionalProperties": {}, "properties": { "host": { "type": "string" } }, "required": [ "host" ], "type": "object" }, "type": "array" }, "name": { "type": "string" }, "project": { "additionalProperties": {}, "properties": { "name": { "type": "string" } }, "required": [ "name" ], "type": "object" } }, "required": [ "id", "name", "buildStatus", "ingresses", "project" ], "type": "object" }, "id": { "type": "string" }, "isActive": { "type": "boolean" }, "triggerType": { "type": [ "string", "null" ] } }, "required": [ "id", "isActive", "createdAt", "deployment" ], "type": "object" }, "type": "array" } }, "required": [ "active", "recent" ], "type": "object" } ```